VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Macros
auwrapper.h File Reference
`#include "AudioUnits/AUPublic/OtherBases/MusicDeviceBase.h"`
`#include "public.sdk/source/vst/hosting/eventlist.h"`
`#include "public.sdk/source/vst/hosting/parameterchanges.h"`
`#include "public.sdk/source/vst/hosting/processdata.h"`
`#include "base/source/fstring.h"`
`#include "base/source/timer.h"`
`#include "base/thread/include/flock.h"`
`#include "pluginterfaces/vst/ivstaudioprocessor.h"`
`#include "pluginterfaces/vst/ivsteditcontroller.h"`
`#include "pluginterfaces/vst/ivstprocesscontext.h"`
`#include "pluginterfaces/vst/ivstunits.h"`
`#include <AudioToolbox/AudioToolbox.h>`
`#include <Cocoa/Cocoa.h>`
`#include <map>`
`#include <vector>`

## Macros
#define | AUWRAPPER_BASE_CLASS MusicDeviceBase

## Macro Definition Documentation

#define AUWRAPPER_BASE_CLASS MusicDeviceBase

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.